> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get matter types

> Returns a paginated list of matter types based on search criteria. Deleted matter types are not included.

Note: If no `Location` is provided, all matter types from all locations will be returned.



## OpenAPI

````yaml /openapi.json get /mattertypes
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /mattertypes:
    get:
      tags:
        - Matter Types
      summary: Get matter types
      description: "Returns a paginated list of matter types based on search criteria. Deleted matter types are not included.\r\n\r\nNote: If no `Location` is provided, all matter types from all locations will be returned."
      operationId: GetMatterTypes
      parameters:
        - name: Offset
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Limit
          in: query
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
        - name: Name
          in: query
          description: Searches for partial match on matter type name
          schema:
            type: string
        - name: Location
          in: query
          description: >-
            Return matter types from a specific location. In the US API this is
            the ANSI 2 letter state code (e.g. IL, NY). In the AU API this is
            shorthand state code (e.g. NSW, ACT, etc)
          schema:
            type: string
        - name: Category
          in: query
          description: Return matter types from a specific category.
          schema:
            type: string
        - name: Type
          in: query
          description: "Return matter types by category type (i.e. MatterType or LeadType).\r\n            \r\nPossible values: Matter Type = 0, Lead Type = 1."
          schema:
            allOf:
              - $ref: '#/components/schemas/TypeCategory'
            example: 0
          example: 0
      responses:
        '200':
          description: >-
            When request is successful. Returns a paged collection of
            'MatterTypeInfo' objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MatterTypeInfoPagedCollection'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    TypeCategory:
      enum:
        - 0
        - 1
      type: integer
      description: "Name of the category type to which the matter type belongs (i.e. MatterType or LeadType).\r\n            \r\nPossible values: Matter Type = 0, Lead Type = 1."
      format: int32
    MatterTypeInfoPagedCollection:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        value:
          type: array
          items:
            $ref: '#/components/schemas/MatterTypeInfo'
          nullable: true
        offset:
          type: integer
          format: int32
          nullable: true
        limit:
          type: integer
          format: int32
          nullable: true
        size:
          type: integer
          format: int64
        first:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        previous:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        next:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        last:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    MatterTypeInfo:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the matter type.
          nullable: true
          example: 009f778f-83df-454a-b344-768a862a7e55
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 832e778f-83df-454a-b344-768a862a7e67
        name:
          type: string
          description: Name of the matter type.
          nullable: true
          example: Federal Litigation
        category:
          type: string
          description: Name of the category to which the matter type belongs.
          nullable: true
          example: Litigation
        type:
          allOf:
            - $ref: '#/components/schemas/TypeCategory'
          description: "Name of the category type to which the matter type belongs (i.e. MatterType or LeadType).\r\n            \r\nPossible values: Matter Type = 0, Lead Type = 1."
          example: 0
        representativeOptions:
          type: array
          items:
            type: string
          description: List of possible representative types for the matter type.
          nullable: true
          example:
            - Applicant
            - Respondent
        location:
          type: string
          description: State to which the matter type belongs.
          nullable: true
          example: Litigation
        isDeleted:
          type: boolean
          description: "Returns true if the matter type is deleted.\r\n\r\nDeleted matter types cannot be used when creating new leads/matters."
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````